Skip to content
Start here

List Cloud Integrations

client.magicCloudNetworking.cloudIntegrations.list(CloudIntegrationListParams { account_id, cloudflare, desc, 2 more } params, RequestOptionsoptions?): SinglePage<CloudIntegrationListResponse { id, cloud_type, friendly_name, 11 more } >
GET/accounts/{account_id}/magic/cloud/providers

List Cloud Integrations (Closed Beta).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
ParametersExpand Collapse
params: CloudIntegrationListParams { account_id, cloudflare, desc, 2 more }
account_id: string

Path param

cloudflare?: boolean

Query param

desc?: boolean

Query param

order_by?: string

Query param: One of ["updated_at", "id", "cloud_type", "name"].

status?: boolean

Query param

ReturnsExpand Collapse
CloudIntegrationListResponse { id, cloud_type, friendly_name, 11 more }
id: string
formatuuid
cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"
One of the following:
"AWS"
"AZURE"
"GOOGLE"
"CLOUDFLARE"
friendly_name: string
last_updated: string
lifecycle_state: "ACTIVE" | "PENDING_SETUP" | "RETIRED"
One of the following:
"ACTIVE"
"PENDING_SETUP"
"RETIRED"
state: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more
One of the following:
"UNSPECIFIED"
"PENDING"
"DISCOVERING"
"FAILED"
"SUCCEEDED"
state_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more
One of the following:
"UNSPECIFIED"
"PENDING"
"DISCOVERING"
"FAILED"
"SUCCEEDED"
aws_arn?: string
azure_subscription_id?: string
azure_tenant_id?: string
description?: string
gcp_project_id?: string
gcp_service_account_email?: string
status?: Status { discovery_progress, discovery_progress_v2, last_discovery_status, 13 more }
discovery_progress: DiscoveryProgress { done, total, unit }
done: number
total: number
unit: string
discovery_progress_v2: DiscoveryProgressV2 { done, total, unit }
done: number
total: number
unit: string
last_discovery_status: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more
One of the following:
"UNSPECIFIED"
"PENDING"
"DISCOVERING"
"FAILED"
"SUCCEEDED"
last_discovery_status_v2: "UNSPECIFIED" | "PENDING" | "DISCOVERING" | 2 more
One of the following:
"UNSPECIFIED"
"PENDING"
"DISCOVERING"
"FAILED"
"SUCCEEDED"
regions: Array<string>
credentials_good_since?: string
credentials_missing_since?: string
credentials_rejected_since?: string
discovery_message?: string
discovery_message_v2?: string
in_use_by?: Array<InUseBy>
id: string
formatuuid
client_type: "MAGIC_WAN_CLOUD_ONRAMP"
name: string
last_discovery_completed_at?: string
last_discovery_completed_at_v2?: string
last_discovery_started_at?: string
last_discovery_started_at_v2?: string
last_updated?: string

List Cloud Integrations

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const cloudIntegrationListResponse of client.magicCloudNetworking.cloudIntegrations.list(
  { account_id: 'account_id' },
)) {
  console.log(cloudIntegrationListResponse.id);
}
{
  "errors": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "cloud_type": "AWS",
      "friendly_name": "friendly_name",
      "last_updated": "last_updated",
      "lifecycle_state": "ACTIVE",
      "state": "UNSPECIFIED",
      "state_v2": "UNSPECIFIED",
      "aws_arn": "aws_arn",
      "azure_subscription_id": "azure_subscription_id",
      "azure_tenant_id": "azure_tenant_id",
      "description": "description",
      "gcp_project_id": "gcp_project_id",
      "gcp_service_account_email": "gcp_service_account_email",
      "status": {
        "discovery_progress": {
          "done": 0,
          "total": 0,
          "unit": "unit"
        },
        "discovery_progress_v2": {
          "done": 0,
          "total": 0,
          "unit": "unit"
        },
        "last_discovery_status": "UNSPECIFIED",
        "last_discovery_status_v2": "UNSPECIFIED",
        "regions": [
          "string"
        ],
        "credentials_good_since": "credentials_good_since",
        "credentials_missing_since": "credentials_missing_since",
        "credentials_rejected_since": "credentials_rejected_since",
        "discovery_message": "discovery_message",
        "discovery_message_v2": "discovery_message_v2",
        "in_use_by": [
          {
            "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            "client_type": "MAGIC_WAN_CLOUD_ONRAMP",
            "name": "name"
          }
        ],
        "last_discovery_completed_at": "last_discovery_completed_at",
        "last_discovery_completed_at_v2": "last_discovery_completed_at_v2",
        "last_discovery_started_at": "last_discovery_started_at",
        "last_discovery_started_at_v2": "last_discovery_started_at_v2",
        "last_updated": "last_updated"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "cloud_type": "AWS",
      "friendly_name": "friendly_name",
      "last_updated": "last_updated",
      "lifecycle_state": "ACTIVE",
      "state": "UNSPECIFIED",
      "state_v2": "UNSPECIFIED",
      "aws_arn": "aws_arn",
      "azure_subscription_id": "azure_subscription_id",
      "azure_tenant_id": "azure_tenant_id",
      "description": "description",
      "gcp_project_id": "gcp_project_id",
      "gcp_service_account_email": "gcp_service_account_email",
      "status": {
        "discovery_progress": {
          "done": 0,
          "total": 0,
          "unit": "unit"
        },
        "discovery_progress_v2": {
          "done": 0,
          "total": 0,
          "unit": "unit"
        },
        "last_discovery_status": "UNSPECIFIED",
        "last_discovery_status_v2": "UNSPECIFIED",
        "regions": [
          "string"
        ],
        "credentials_good_since": "credentials_good_since",
        "credentials_missing_since": "credentials_missing_since",
        "credentials_rejected_since": "credentials_rejected_since",
        "discovery_message": "discovery_message",
        "discovery_message_v2": "discovery_message_v2",
        "in_use_by": [
          {
            "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            "client_type": "MAGIC_WAN_CLOUD_ONRAMP",
            "name": "name"
          }
        ],
        "last_discovery_completed_at": "last_discovery_completed_at",
        "last_discovery_completed_at_v2": "last_discovery_completed_at_v2",
        "last_discovery_started_at": "last_discovery_started_at",
        "last_discovery_started_at_v2": "last_discovery_started_at_v2",
        "last_updated": "last_updated"
      }
    }
  ],
  "success": true
}